# Retrieve subscription payment information

Use the **getSubscriptionPaymentInformation** method to retrieve information related to the payment made for a subscription.

## Request parameters

| Parameters                | Type / Description                                                                                                                                                                                                                    |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sessionID**             | **Required (String)** — Session identifier, the output of the **Login** method. Include **sessionID** into all your requests. 2Checkout throws an exception if the values are incorrect. The **sessionID** expires in **10 minutes**. |
| **subscriptionReference** | **Required (String)** — The reference of the subscription you want to retrieve payment information for.                                                                                                                               |

## Response parameters

| Parameters                      | Type / Description                                                                                                                                                           |
| ------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Type`                          | <p><strong>String</strong></p><p>Payment method type.</p>                                                                                                                    |
| `Currency`                      | <p><strong>String</strong></p><p>ISO code of the order currency.</p>                                                                                                         |
| `PaymentMethod`                 | <p><strong>Object</strong></p><p>Payment method details:</p>                                                                                                                 |
| `PaymentMethod.FirstDigits`     | <p><strong>String</strong></p><p>First 4 digits of the card used on the order.</p>                                                                                           |
| `PaymentMethod.LastDigits`      | <p><strong>String</strong></p><p>Last 4 digits of the card used on the order.</p>                                                                                            |
| `PaymentMethod.CardType`        | <p><strong>String</strong></p><p>Type of card used on the order.</p>                                                                                                         |
| `PaymentMethod.ExpirationMonth` | <p><strong>String</strong></p><p>Card expiration month.</p>                                                                                                                  |
| `PaymentMethod.ExpirationYear`  | <p><strong>String</strong></p><p>Card expiration year.</p>                                                                                                                   |
| `PaymentMethod.CardUpdated`     | <p><strong>Boolean</strong></p><p>The card updated by our internal account updater.</p>                                                                                      |
| `PaymentMethod.Authorize3DSUrl` | <p><strong>String</strong></p><p>URL address to which customers are redirected after the 3DS details get validated by the bank and the order is successfully authorized.</p> |

### Response sample

```json
{
    "Type": "CC",
    "Currency": "USD",
    "PaymentMethod": {
        "FirstDigits": "4111",
        "LastDigits": "1111",
        "ExpirationMonth": null,
        "ExpirationYear": null,
        "CardUpdated": false,
        "Authorize3DSUrl": null,
        "CardType": "Visa"
    }
}
```

### Request sample

```php
<?php
require ('PATH_TO_AUTH');

$subscriptionReference = "Subscription_Code";

try {
    $paymentInformation = $client->getSubscriptionPaymentInformation($sessionID, $subscriptionReference);
} catch (SoapFault $e) {
    echo  $e->getMessage();
}
var_dump($paymentInformation);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/subscription/retrieve-subscription-payment-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
